Name:           easyeffects
Version:        7.1.4
Release:        %mkrel 2
Summary:        Audio effects for PipeWire applications.
License:        GPLv3
Group:          Sound/Mixers
Url:            https://github.com/wwmm/easyeffects
Source0:        https://github.com/wwmm/easyeffects/archive/v%{version}/%{name}-%{version}.tar.xz

##Patch0:			easyeffects-easy-adwaita.patch

BuildRequires:  pkgconfig(appstream) >= 0.14.4
BuildRequires:  boost-devel
BuildRequires:  desktop-file-utils
BuildRequires:  itstool
BuildRequires:  libxml2-utils
BuildRequires:  meson
BuildRequires:  pkgconfig(adwaita-qt)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtkmm-3.0)
BuildRequires:  pkgconfig(glibmm-2.4) >= 2.56
BuildRequires:  pkgconfig(gstreamer-1.0) >= 1.12
BuildRequires:  pkgconfig(gstreamer-plugins-bad-1.0) >= 1.12
BuildRequires:  pipewire-devel
BuildRequires:  pkgconfig(libbs2b)
BuildRequires:  pkgconfig(libebur128)
BuildRequires:  pkgconfig(libpulse) >= 11.0
BuildRequires:  pkgconfig(lilv-0)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(sigc++-3.0)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  zita-convolver-devel >= 3.1.0
BuildRequires:  lib64fmt-devel
BuildRequires:  pkgconfig(rnnoise)
BuildRequires:  pkgconfig(rubberband)
BuildRequires:  pkgconfig(speexdsp)
BuildRequires:  pkgconfig(nlohmann_json)
BuildRequires:  pkgconfig(tbb)
BuildRequires:  pkgconfig(libadwaita-1)


Requires:	gstreamer1.0-plugins-bad >= 1.12
Requires:   gstreamer1.0-plugins-good >= 1.12
Requires:   ladspa-plugins-swh >= 0.4
Requires:   lv2-calf-plugins >= 0.90.0
Requires:   hicolor-icon-theme
Requires:   dbus
Requires:   ladspa-calf-plugins
Requires:   lv2-mdala-plugins
Requires:   lsp-plugins
# don't remove
Requires:	pipewire

Recommends:   mda-lv2
Recommends:   ladspa-zam-plugins
Recommends:   lv2-zam-plugins
Recommends:   rubberband
Recommends:   zam-plugins
%ifnarch aarch64
Recommends:   lsp-plugins
%endif

%description
This application was formerly known as PulseEffects,
but it was renamed to EasyEffects after it started to use GTK4 and GStreamer
usage was replaced by native PipeWire filters.

2024-02-01
Features:
    EasyEffects will try to avoid moving to its virtual sources streams for
	which the user has set a custom target.object that is different from the
	mic EE is recording from. THe stream has to be started when EE is already
	running for this logic to take effect.
    Updated translations
    The equalizer can export basic APO preset files
    Our players/recorders tab will show the audio client binary name in the
	cases were no app name is defined.
    EasyEffects version can be shown in the command line through
	the option --version

Bug fixes:
    A workaround for a bug in gtk4 GtkLevelBar was implemented and will be kept
	in place until gtk developers fiz things on their side


%prep
%setup -q

%autopatch -p1

find -type f -exec chmod 0644 {} \;
rm -rf build && mkdir build

%build
#cd include
#for f in `ls -1 *.hpp`; do
#sed -i s/"#include <adwaita.h>"/"#include <AdwaitaQt\/adwaita.h>"/g $f
#done
#cd ..

# from tex
CFLAGS+=' -fcommon'
export LDFLAGS="-L/usr/lib64/libglvnd/ $LDFLAGS"
export LC_ALL="${LC_ALL:-UTF-8}"

%meson --prefix=/usr -Denable-rnnoise="true" -Denable-libcpp-workarounds="true"
%meson_build

%install
rm -rf %buildroot
export LC_ALL="${LC_ALL:-UTF-8}"

%meson_install

desktop-file-install %{buildroot}%{_datadir}/applications/com.github.wwmm.%{name}.desktop \
    --add-category='X-Mageia-CrossDesktop' \
    --dir=%{buildroot}%{_datadir}/applications

%find_lang %{name}

# Change absolute symlinks to relative
# https://github.com/wwmm/pulseeffects/issues/590
find %{buildroot}%{_datadir}/help/ -type l -exec bash -c 'ln -sf ../../../C/easyeffects/figures/$(basename #{}) {}' \;

%post
glib-compile-schemas /usr/share/glib-2.0/schemas >/dev/null 2>&1


%files -f %{name}.lang
%doc LICENSE README.md
%{_bindir}/%{name}
%{_datadir}/applications/*
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/icons/*
%{_datadir}/metainfo/com.github.wwmm.easyeffects.metainfo.xml
%{_datadir}/help/*/%{name}/*
%{_datadir}/dbus-1/services/com.github.wwmm.easyeffects.service
%{_datadir}/locale/*/LC_MESSAGES/*.mo


%changelog
* Sat Mar 16 2024 onkelho <oh.quait at gmail.com> - 7.1.4-2quait2024
- rebuild 

* Sun Feb 18 2024 onkelho <oh.quait at gmail.com> - 7.1.4-1quait2024
- new version rel - this is the pipewire version of the effects

* Sat Apr 30 2022 onkelho <oh.quait at gmail.com> - 6.2.5-1pclos2022
- new version release
- absolute links to relative
- Fix obsoleting pulseeffects

* Fri Feb 11 2022 onkelho <oh.quait at gmail.com> - 6.2.3-1pclos2022
- new version release

* Fri Feb 11 2022 onkelho <oh.quait at gmail.com> - 6.1.5-1pclos2022
- new version release
- switch to easyeffects
